Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004930 [JEDI VCL] 00 JVCL Components major always 2009-09-08 16:46 2009-10-03 14:48
Reporter NickBlu View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004930: JvgCheckBox inactive
Description When form with JvgCheckBox component is displayed, if mouse, accidentally, is OVER the control, the same appears without glyphs (OFF and ON) and it is impossible to change state with mouse click.
The same happens if "fcoActiveWhileControlFocused" property is set on True.
Additional Information
Tags JVCL
Attached Files zip file icon TestGenerico.zip [^] (241,653 bytes) 2009-09-11 09:08
zip file icon TestGenerico_2.zip [^] (241,908 bytes) 2009-09-11 09:20

- Relationships

-  Notes
(0016061)
NickBlu (reporter)
2009-09-09 08:36

Resolved (but bug still remains!) with insertion of
JvgCheckBox1.Repaint;
in FormActivate event.
(0016075)
obones (administrator)
2009-09-09 19:43

Hello,

We would really like to have the zipped sources of a sample application showing this.
Further to this, you should not that the Globus components are being phased out and that we recommend you stop using them in favor of the regular JVCL components
(0016088)
NickBlu (reporter)
2009-09-11 09:14

I have just attached the sources file of application.
Comment line in FormActivate procedure and, when run application, try (some test are necessary...) to make cursor position OVER CheckBox.
Question in my mind: why if, as you say, "Globus components are being phased", they are still included in latest JVCL version?
(0016090)
obones (administrator)
2009-09-11 22:30

I said "are being" which means that it is still a work in progress. You will notice that some have already been removed, because we are reviewing them and try to see how the Jv equivalents can be used instead of them.
(0016092)
NickBlu (reporter)
2009-09-12 07:19

Perhaps, because my inexperience to use JVCL, I dont find equivalent control in "regular JVCL". JvgCheckBox permits insertion of custom glyps for checked and unchecked state, that is very important for my projects.
Thank you for your answer and your excellent job.
(0016229)
AHUser (developer)
2009-10-03 14:48

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-09-08 16:46 NickBlu New Issue
2009-09-09 08:36 NickBlu Note Added: 0016061
2009-09-09 08:37 NickBlu Tag Attached: JVCL
2009-09-09 19:43 obones Note Added: 0016075
2009-09-09 19:43 obones Status new => feedback
2009-09-11 09:08 NickBlu File Added: TestGenerico.zip
2009-09-11 09:14 NickBlu Note Added: 0016088
2009-09-11 09:20 NickBlu File Added: TestGenerico_2.zip
2009-09-11 09:20 NickBlu Issue Monitored: NickBlu
2009-09-11 09:20 NickBlu Issue End Monitor: NickBlu
2009-09-11 22:30 obones Note Added: 0016090
2009-09-12 07:19 NickBlu Note Added: 0016092
2009-10-03 14:48 AHUser Note Added: 0016229
2009-10-03 14:48 AHUser Status feedback => resolved
2009-10-03 14:48 AHUser Fixed in Version => Daily / SVN
2009-10-03 14:48 AHUser Resolution open => fixed
2009-10-03 14:48 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker